Skip to main content
PUT
/
crawl-settings
/
{id}
Update web crawl setting
curl --request PUT \
  --url https://developer.qaip.com/api/v1/crawl-settings/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "rrule": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "start_url": "<string>",
  "max_depth": 123,
  "html_only": true,
  "use_browser": true,
  "path_filters": [
    "<string>"
  ],
  "content_pattern": [
    "<string>"
  ],
  "max_num_files": 123,
  "file_extensions": [
    "<string>"
  ],
  "rrule": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

id
string
required

Ingestion setting ID for the web crawl data source

Body

application/json
name
string
required

Name of the web crawl data source

Maximum string length: 200
rrule
string

Recurrence rule (RFC 5545 RRULE). Empty string or omission removes the existing schedule.

Response

Successfully updated web crawl setting

id
string
required

Web crawl ingestion setting ID

name
string
required

Name of the web crawl ingestion setting

start_url
string
required

Start URL of the web crawl

max_depth
integer
required

Maximum crawl depth

html_only
boolean
required

When true, only HTML files will be downloaded

use_browser
boolean
required

Whether to use a headless browser for crawling

path_filters
string[]

Path filters for crawling

content_pattern
string[]

Content patterns for filtering

max_num_files
integer | null

Maximum number of files to crawl

file_extensions
string[]

File extensions to include (e.g. ".pdf", ".docx")

rrule
string

Recurrence rule (RFC 5545 RRULE)